@ECHO OFF
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

REM PROMPTS
SET CRRRDPRMPT001=Enter DB2 Instance to use on %COMPUTERNAME%:
SET CRRRDPRMPT002=Enter name of the database to create:
SET CRRRDPRMPT003=Enter username to use to connect to the database:
SET CRRRDPRMPT004=Enter password for user %DBUSER%:
SET CRRRDPRMPT005=Enter schema under which the operational data store will be built:
SET CRRRDPRMPT006=Enter schema under which the star schema will be built:
SET CRRRDPRMPT007=Enter user name that will connect and run the reports:
SET CRRRDPRMPT008=Specify a base directory for the table space files:
SET CRRRDPRMPT009=Enter earliest year to populate the date dimension with:
SET CRRRDPRMPT010=Enter latest year to populate the date dimension with:
SET CRRRDPRMPT011=Enter the calendar type [1] for Gregorian [2] for ISO for the date dimension:
SET CRRRDPRMPT012=Enter a value of 1 for 10G or 2 for 11G to designate the version of Oracle you are running:
SET CRRRDPRMPT013=Enter value for ORACLE_HOME:
SET CRRRDPRMPT014=Enter value for ORACLE_BASE:
SET CRRRDPRMPT015=Enter name [SID] of database to create, maximum length of name is 8 characters:
SET CRRRDPRMPT016=Enter password for SYS account:
SET CRRRDPRMPT017=Enter password for SYSTEM account:
SET CRRRDPRMPT018=Enter password for SYSMAN account:
SET CRRRDPRMPT019=Enter password for DBSNMP account:
SET CRRRDPRMPT020=Enter user name to create the DBA account:
SET CRRRDPRMPT021=Enter user password to set for the DBA account:
SET CRRRDPRMPT022=Enter user password to use for the account that will connect and run the reports:
SET CRRRDPRMPT023=Enter SQL Server Instance to use on %COMPUTERNAME%.  If no value is specified the default instance will be used: 
SET CRRRDPRMPT024=Specify the instance's base home directory e.g. c:\Microsoft SQL Server\MSSQL.1:
SET CRRRDPRMPT025=Enter user name to create to connect to the content store:
SET CRRRDPRMPT026=Enter password to set for the content store user:
SET CRRRDPRMPT027=Enter java home directory "For example C:\Program Files\IBM\Installation Manager\eclipse\jre_5.0.3.sr8a_20080811b\jre"
SET CRRRDPRMPT028=Enter name of the Insight database:
SET CRRRDPRMPT029=Enter schema under which the operational data store is built:
SET CRRRDPRMPT030=Enter schema under which the star schema is built:
SET CRRRDPRMPT031=Enter user name that is used to run reports:
SET CRRRDPRMPT032=Do you want to accept the new view definions [1=Yes 0=No]?:
SET CRRRDPRMPT033=Enter the password of USERNAME for SQL Server authentication mode:

REM ECHOS
SET CRRRDECH001=DB2 Database Installation
SET CRRRDECH002=Exiting!!!
SET CRRRDECH003=Please review "%CD%"\logs\createdb.log for error messages
SET CRRRDECH004=Please review "%CD%"\logs\bufferpool.log for error messages
SET CRRRDECH005=Please review "%CD%"\logs\tbspace.log for error messages
SET CRRRDECH006=Please review "%CD%"\logs\createSTGCFG.log for error messages
SET CRRRDECH007=Please review "%CD%"\logs\createNF.log for error messages
SET CRRRDECH008=Please review "%CD%"\logs\createSTAR.log for error messages
SET CRRRDECH009=Please review "%CD%"\logs\createSTARViews.log for error messages
SET CRRRDECH010=Please review "%CD%"\logs\initCONFIG.log for error messages
SET CRRRDECH011=Please review "%CD%"\logs\initNF.log for error messages
SET CRRRDECH012=Please review "%CD%"\logs\initSTAR.log for error messages
SET CRRRDECH013=Please review "%CD%"\logs\star_grants.log for error messages
SET CRRRDECH014=Please review "%CD%"\logs\populate-D_DATE.log and "%CD%"\logs\dtPopulate.log for error messages
SET CRRRDECH015=Please review "%CD%"\logs\sampledw_obj.log for error messages
SET CRRRDECH016=Please review "%CD%"\IMPORT.out
SET CRRRDECH017=Oracle Database Installation
SET CRRRDECH018=ORACLE_HOME and ORACLE_BASE should be specified before proceeding
SET CRRRDECH020=Please Refer to "%CD%"\logs\createDBService.log 
SET CRRRDECH021=Specify a different ORACLE_SID or drop the existing one and clean up the related directories before proceeding.
SET CRRRDECH022=Please review "%CD%"\logs\cmstore.log for error messages
SET CRRRDECH023=Please review "%CD%"\logs\cmstore_trig.log for error messages
SET CRRRDECH024=SQL Server Database Installation
SET CRRRDECH025=Please review "%CD%"\logs\createSchema.log for error messages
SET CRRRDECH026=Please review "%CD%"\logs\createUsers.log for error messages
SET CRRRDECH027=Please review "%CD%"\logs\createFileGroup.log for error messages
SET CRRRDECH028=Please review "%CD%"\logs\createFile.log for error messages
SET CRRRDECH029=Please review "%CD%"\logs\cmstore.log for error messages
SET CRRRDECH030=Please review "%CD%"\logs\cmstore_proc.log for error messages
SET CRRRDECH031=Java home should be specified before proceeding
SET CRRRDECH032=Found set_env.bat file and executed it
SET CRRRDECH033=This process will migrate the Insight database.  Before you proceede make sure you have backed up your database.  Make sure the backup you have is valid and will allow for a full restore of the database if needed.
SET CRRRDECH034=Please review "%CD%"\logs\createRIBA.log
SET CRRRDECH035=Please review "%CD%"\logs\createCALM.log
SET CRRRDECH036=Please review "%CD%"\logs\initCALM.log for error messages
SET CRRRDECH037=Please review "%CD%"\logs\createRIASSET.log
SET CRRRDECH038=Please review "%CD%"\logs\initRIASSET.log for error messages
SET CRRRDECH039=Please review "%CD%"\logs\createRISCHK.log
SET CRRRDECH040=Please review "%CD%"\logs\initRISCHK.log for error messages


REM ERROR MESSAGES
SET CRRRDMSGE001=CRRRD4501E: Error invalid instance specified
SET CRRRDMSGE002=CRRRD4502E: Error invalid database name specified
SET CRRRDMSGE003=CRRRD4503E: Error invalid database user name specified
SET CRRRDMSGE004=CRRRD4504E: Error invalid database user password specified
SET CRRRDMSGE005=CRRRD4505E: Error NF_SCHEMA schema can not be null
SET CRRRDMSGE006=CRRRD4506E: Error STAR_SCHEMA schema can not be null
SET CRRRDMSGE007=CRRRD4507E: Error REP_USER user name can not be null
SET CRRRDMSGE008=CRRRD4508E: Error invalid table space directory
SET CRRRDMSGE009=CRRRD4509E: Error START_YEAR can not be null
SET CRRRDMSGE010=CRRRD4510E: Error END_YEAR can not be null
SET CRRRDMSGE011=CRRRD4511E: Error CAL_TYPE can not be null
SET CRRRDMSGE012=CRRRD4512E: Error CAL_TYPE can only be 1 or 2
SET CRRRDMSGE013=CRRRD4513E: Error creating database 
SET CRRRDMSGE014=CRRRD4514E: Error creating buffer pools
SET CRRRDMSGE015=CRRRD4515E: Error creating table spaces
SET CRRRDMSGE016=CRRRD4516E: Error creating table CONFIG tables  
SET CRRRDMSGE017=CRRRD4517E: Error creating table ODS tables
SET CRRRDMSGE018=CRRRD4518E: Error creating table STAR tables
SET CRRRDMSGE019=CRRRD4519E: Error creating table STAR views
SET CRRRDMSGE020=CRRRD4520E: Error initializing CONFIG tables 
SET CRRRDMSGE021=CRRRD4521E: Error initializing ODS tables
SET CRRRDMSGE022=CRRRD4522E: Error initializing STAR tables
SET CRRRDMSGE023=CRRRD4523E: Error granting privileges
SET CRRRDMSGE024=CRRRD4524E: Error failed to copy files
SET CRRRDMSGE025=CRRRD4525E: Error populating date dimension table
SET CRRRDMSGE026=CRRRD4526E: Error creating objects
SET CRRRDMSGE027=CRRRD4527E: Error importing into DB2
SET CRRRDMSGE028=CRRRD4528E: Error ORA_VERSION name can not be null
SET CRRRDMSGE029=CRRRD4529E: Error ORA_VERSION is invalid
SET CRRRDMSGE030=CRRRD4530E: Error invalid ORACLE_HOME specified
SET CRRRDMSGE031=CRRRD4531E: Error invalid ORACLE_HOME specified
SET CRRRDMSGE032=CRRRD4532E: Error invalid ORACLE_BASE specified
SET CRRRDMSGE034=CRRRD4534E: Error invalid SID specified
SET CRRRDMSGE035=CRRRD4535E: Error SYS account password can not be null
SET CRRRDMSGE036=CRRRD4536E: Error SYSTEMPWD account password can not be null
SET CRRRDMSGE037=CRRRD4537E: Error SYSMANPWD account password can not be null
SET CRRRDMSGE038=CRRRD4538E: Error DBSNMPPWD account password can not be null
SET CRRRDMSGE039=CRRRD4539E: Error DBA_USER account name can not be null
SET CRRRDMSGE040=CRRRD4540E: Error DBA_PASSWORD account password can not be null
SET CRRRDMSGE041=CRRRD4541E: Error NF_SCHEMA schema can not be null
SET CRRRDMSGE042=CRRRD4542E: Error STAR_SCHEMA schema can not be null
SET CRRRDMSGE043=CRRRD4543E: Error REP_USER user name can not be null
SET CRRRDMSGE044=CRRRD4544E: Error REP_PASSWD can not be null
SET CRRRDMSGE046=CRRRD4546E: Error HOST_NAME name can not be null
SET CRRRDMSGE053=CRRRD4553E: Error %ORACLE_SID% seems to already exist.
SET CRRRDMSGE058=CRRRD4558E: Error creating directory "%DATA_HOME%"\oradata\%ORACLE_SID%
SET CRRRDMSGE059=CRRRD4559E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\adump
SET CRRRDMSGE060=CRRRD4560E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\bdump
SET CRRRDMSGE061=CRRRD4561E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\cdump
SET CRRRDMSGE062=CRRRD4562E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\dpdump
SET CRRRDMSGE063=CRRRD4563E: Error creating directory  "%ORACLE_BASE%"\admin\%ORACLE_SID%\pfile
SET CRRRDMSGE064=CRRRD4564E: Error creating directory "%ORACLE_BASE%"\admin\%ORACLE_SID%\udump
SET CRRRDMSGE065=CRRRD4565E: Error creating directory "%ORACLE_HOME%"\cfgtoollogs\dbca\%ORACLE_SID%
SET CRRRDMSGE066=CRRRD4566E: Error creating directory "%ORACLE_HOME%"\dbs
SET CRRRDMSGE067=CRRRD4567E: Error creating directory "%ORACLE_BASE%"\flash_recovery_area
SET CRRRDMSGE068=CRRRD4568E: Error creating directory "%ORACLE_BASE%"\oradata\%ORACLE_SID%
SET CRRRDMSGE069=CRRRD4569E: Error creating datatabase %ORACLE_SID%
SET CRRRDMSGE070=CRRRD4570E: Error creating 10g ORA files
SET CRRRDMSGE071=CRRRD4571E: Error creating 11g ORA files
SET CRRRDMSGE072=CRRRD4572E: Error importing into ORACLE
SET CRRRDMSGE073=CRRRD4573E: Error enabling constraints
SET CRRRDMSGE074=CRRRD4574E: Error enabling triggers
SET CRRRDMSGE075=CRRRD4575E: Error modifying control files
SET CRRRDMSGE076=CRRRD4576E: Error creating directory 
SET CRRRDMSGE077=CRRRD4577E: Error creating tables
SET CRRRDMSGE078=CRRRD4578E: Error creating triggers
SET CRRRDMSGE079=CRRRD4579E: Error invalid data file directory
SET CRRRDMSGE080=CRRRD4580E: Error CS_SCHEMA can not be null
SET CRRRDMSGE081=CRRRD4581E: Error CS_PASSWORD can not be null
SET CRRRDMSGE082=CRRRD4582E: Error creating procedures
SET CRRRDMSGE083=CRRRD4583E: Error importing into SQL Server
SET CRRRDMSGE084=CRRRD4584E: Error connecting
SET CRRRDMSGE085=CRRRD4585E: Error determining locale
SET CRRRDMSGE086=CRRRD4586E: Error invalid calendar type. Specify 1 (Gregorian), 2 (ISO)
SET CRRRDMSGE087=CRRRD4587E: Error START_YEAR is null OR greater than END_YEAR
SET CRRRDMSGE088=CRRRD4588E: Error END_YEAR is null OR less than START_YEAR
SET CRRRDMSGE089=CRRRD4589E: Error Warehouse schema not specified.  Specify a valid schema
SET CRRRDMSGE090=CRRRD4590E: Error Date Dimension is corrupted, smallest date does not equal January 1rst
SET CRRRDMSGE091=CRRRD4591E: Error Date Dimension is corrupted, largest date does not equal December 31rst
SET CRRRDMSGE092=CRRRD4592E: Error Date Dimension unsupported calendar
SET CRRRDMSGE093=CRRRD4593E: Error Date Dimension argument END_YEAR is less than MIN(YEAR) IN D_DATE
SET CRRRDMSGE094=CRRRD4594E: Error Date Dimension argument START_YEAR is greater than MAX(YEAR) IN D_DATE
SET CRRRDMSGE095=CRRRD4595E: Error REP_USER needs to be different from DBUSER
SET CRRRDMSGE096=CRRRD4596E: Error Java home directory is invalid
SET CRRRDMSGE097=CRRRD4597E: Error set_env.bat file not exist or failed to call 
SET CRRRDMSGE098=CRRRD4598E: Error cannot determine Insight version
SET CRRRDMSGE099=CRRRD4599E: Error cannot determine target Insight version
SET CRRRDMSGE100=CRRRD4600E: Error current version is greater than target version
SET CRRRDMSGE101=CRRRD4601E: Error executing the statement
SET CRRRDMSGE102=CRRRD4602E: Error there are dependent statements that have failled
SET CRRRDMSGE103=CRRRD4603E: Error there are migration errors please review logs and the CONFIG.STATEMENT_LIST table
SET CRRRDMSGE104=CRRRD4604E: Error there are errors creating the migration procedures please review logs
SET CRRRDMSGE105=CRRRD4605E: Error RIBA schema can not be null
SET CRRRDMSGE106=CRRRD4606E: Error creating Business Analytics tables
SET CRRRDMSGE107=CRRRD4607E: Error CALM schema can not be null
SET CRRRDMSGE108=CRRRD4608E: Error creating CALM tables
SET CRRRDMSGE109=CRRRD4609E: Error initializing CALM tables
SET CRRRDMSGE110=CRRRD4610E: Error RIASSET schema can not be null
SET CRRRDMSGE111=CRRRD4611E: Error creating RIASSET tables
SET CRRRDMSGE112=CRRRD4612E: Error initializing RIASSET tables
SET CRRRDMSGE113=CRRRD4611E: Error creating RISCHK tables
SET CRRRDMSGE114=CRRRD4612E: Error initializing RISCHK tables
SET CRRRDMSGE115=CRRRD4615E: Error RISCHK schema can not be null
SET CRRRDMSGE116=CRRRD4616E: Error database driver is not in the CLASSPATH
SET CRRRDMSGE117=CRRRD4617E: Error administration username can not be null for SQL Server authentication mode
SET CRRRDMSGE118=CRRRD4618E: Error the password of USERNAME can not be null for SQL Server authentication mode


REM ERROR CODES
SET CRRRD4501E=4501
SET CRRRD4502E=4502
SET CRRRD4503E=4503
SET CRRRD4504E=4504
SET CRRRD4505E=4505
SET CRRRD4506E=4506
SET CRRRD4507E=4507
SET CRRRD4508E=4508
SET CRRRD4509E=4509
SET CRRRD4510E=4510
SET CRRRD4511E=4511
SET CRRRD4512E=4512
SET CRRRD4513E=4513
SET CRRRD4514E=4514
SET CRRRD4515E=4515
SET CRRRD4516E=4516
SET CRRRD4517E=4517
SET CRRRD4518E=4518
SET CRRRD4519E=4519
SET CRRRD4520E=4520
SET CRRRD4521E=4521
SET CRRRD4522E=4522
SET CRRRD4523E=4523
SET CRRRD4524E=4524
SET CRRRD4525E=4525
SET CRRRD4526E=4526
SET CRRRD4527E=4527
SET CRRRD4528E=4528
SET CRRRD4529E=4529
SET CRRRD4530E=4530
SET CRRRD4531E=4531
SET CRRRD4532E=4532
SET CRRRD4534E=4534
SET CRRRD4535E=4535
SET CRRRD4536E=4536
SET CRRRD4537E=4537
SET CRRRD4538E=4538
SET CRRRD4539E=4539
SET CRRRD4540E=4540
SET CRRRD4541E=4541
SET CRRRD4542E=4542
SET CRRRD4543E=4543
SET CRRRD4544E=4544
SET CRRRD4546E=4546
SET CRRRD4553E=4553
SET CRRRD4558E=4558
SET CRRRD4559E=4559
SET CRRRD4560E=4560
SET CRRRD4561E=4561
SET CRRRD4562E=4562
SET CRRRD4563E=4563
SET CRRRD4564E=4564
SET CRRRD4565E=4565
SET CRRRD4566E=4566
SET CRRRD4567E=4567
SET CRRRD4568E=4568
SET CRRRD4569E=4569
SET CRRRD4570E=4570
SET CRRRD4571E=4571
SET CRRRD4572E=4572
SET CRRRD4573E=4573
SET CRRRD4574E=4574
SET CRRRD4575E=4575
SET CRRRD4576E=4576
SET CRRRD4577E=4577
SET CRRRD4578E=4578
SET CRRRD4579E=4579
SET CRRRD4580E=4580
SET CRRRD4581E=4581
SET CRRRD4582E=4582
SET CRRRD4583E=4583
SET CRRRD4584E=4584
SET CRRRD4585E=4585
SET CRRRD4586E=4586
SET CRRRD4587E=4587
SET CRRRD4588E=4588
SET CRRRD4589E=4589
SET CRRRD4590E=4590
SET CRRRD4591E=4591
SET CRRRD4592E=4592
SET CRRRD4593E=4593
SET CRRRD4594E=4594
SET CRRRD4595E=4595
SET CRRRD4596E=4596
SET CRRRD4597E=4597
SET CRRRD4598E=4598
SET CRRRD4599E=4599
SET CRRRD4600E=4600
SET CRRRD4601E=4601
SET CRRRD4602E=4602
SET CRRRD4603E=4603
SET CRRRD4604E=4604
SET CRRRD4605E=4605
SET CRRRD4606E=4606
SET CRRRD4607E=4607
SET CRRRD4608E=4608
SET CRRRD4609E=4609
SET CRRRD4610E=4610
SET CRRRD4611E=4611
SET CRRRD4612E=4612
SET CRRRD4613E=4613
SET CRRRD4614E=4614
SET CRRRD4615E=4615
SET CRRRD4616E=4616
SET CRRRD4617E=4617
SET CRRRD4618E=4618
EXIT /B